Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ISphericalTransform Class Reference

This describes a solid harmonic to Cartesian transform. More...

`#include <transform.h>`

Inheritance diagram for sc::ISphericalTransform:

[legend]
Collaboration diagram for sc::ISphericalTransform:

[legend]
List of all members.

## Protected Methods

| ISphericalTransform ()
| ISphericalTransform (int l, int subl=-1)
void | init ()
| This determines all of the components of the transformation. More...

## Detailed Description

This describes a solid harmonic to Cartesian transform.

## Member Function Documentation

void sc::ISphericalTransform::init | ( |  | ) | `[protected, virtual]`

| This determines all of the components of the transformation. It should be possible to implement the SphericalTransformComponent::init specialization in such a way that the default SphericalTransform::init can be used. Reimplemented from sc::SphericalTransform.

The documentation for this class was generated from the following file:

- chemistry/qc/basis/transform.h